%define version 2.0
%define release 3

Summary: Fix resolv.conf when using dhcp
Name: zz_dhcp_resolv
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermi Lab
Packager: Troy Dawson
requires: initscripts
%description
When using dhcp the seach line in /etc/resolv.conf would only have
dhcp.fnal.gov and not fnal.gov.  This fixes that problem.


%files
/etc/sysconfig/network-scripts/dhcp.fix.ifup-post

%post
#this big mess is to fix a bad postun script I wrote in version 1.0
file=/etc/sysconfig/network-scripts/ifup-post
fixfile=/etc/sysconfig/network-scripts/dhcp.fix.ifup-post
originalfile=/etc/sysconfig/network-scripts/original.ifup-post
neworiginalfile=/etc/sysconfig/network-scripts/new.original.ifup-post
if [ -f $originalfile ] ; then
	if ! [ -f $neworiginalfile ] ; then
		mv -f $originalfile $neworiginalfile
	fi
	/bin/cp -f $fixfile $originalfile
else
	mv -f $file $originalfile
fi
/bin/cp -f $fixfile $file


%postun
if [ "$1" = "0" ] ; then
	#this big mess is to fix a bad postun script I wrote in version 1.0
	file=/etc/sysconfig/network-scripts/ifup-post
	originalfile=/etc/sysconfig/network-scripts/original.ifup-post
	neworiginalfile=/etc/sysconfig/network-scripts/new.original.ifup-post
	if [ -f $neworiginalfile ] ; then
		mv -f $neworiginalfile $file
		rm -f $originalfile
	else
		mv -f $originalfile $file 
	fi
fi
